> ## Documentation Index
> Fetch the complete documentation index at: https://hedra.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Status



## OpenAPI

````yaml openapi.json get /generations/{generation_id}/status
openapi: 3.1.0
info:
  title: Hedra Web API
  version: 0.1.0
servers:
  - url: https://api.hedra.com/web-app/public
    description: Hedra Public API
security: []
paths:
  /generations/{generation_id}/status:
    get:
      tags:
        - Public
      summary: Get Status
      operationId: get_status_public_generations__generation_id__status_get
      parameters:
        - name: generation_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Generation Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerationStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    GenerationStatusResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: ID of the generation.
        asset_id:
          type: string
          format: uuid
          title: Asset Id
          description: ID of the generated asset.
        type:
          $ref: '#/components/schemas/AssetType'
          description: Type of generation.
        status:
          $ref: '#/components/schemas/GenerationStatus'
          description: Status of the generation.
        progress:
          type: number
          title: Progress
          description: Current progress to completion. Between 0-1
        created_at:
          type: string
          title: Created At
          description: Date the generation was submitted.
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
          description: >-
            Error message. Value is not present unless the status of the
            generation is 'error'
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
          description: URL of the generated asset.
        download_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Download Url
          description: URL to download the asset.
        streaming_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Streaming Url
          description: URL to stream the asset.
        workspace_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Workspace Id
          description: ID of the workspace this generation belongs to.
      type: object
      required:
        - id
        - asset_id
        - type
        - status
        - progress
        - created_at
      title: GenerationStatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AssetType:
      type: string
      enum:
        - text
        - image
        - audio
        - video
        - voice
      title: AssetType
    GenerationStatus:
      type: string
      enum:
        - complete
        - error
        - processing
        - queued
        - finalizing
      title: GenerationStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````